Avro C#

Public Member Functions | Properties | List of all members
Avro.IO.OutputStream Class Reference

Base class for an output stream. More...

Inheritance diagram for Avro.IO.OutputStream:

## Public Member Functions
override int | Read (byte[] buffer, int offset, int count)
override long | Seek (long offset, SeekOrigin origin)
override void | SetLength (long value)

## Properties
override bool | CanWrite`[get]`
override bool | CanRead`[get]`
override bool | CanSeek`[get]`
override long | Position`[get, set]`

## Detailed Description

Base class for an output stream.

See also
  InputStream

The documentation for this class was generated from the following file:

- src/apache/main/IO/OutputStream.cs